Create standalone namespace (BYO vectors)
curl --request POST \
--url https://api.mixpeek.com/v1/namespaces/standalone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"namespace_id": "ns_my_vectors",
"vector_configs": [
{
"name": "<string>",
"dimension": 2,
"metric": "cosine"
}
],
"storage": {
"connection_id": "<string>"
},
"config": {},
"auto_create_indexes": true
}
'import requests
url = "https://api.mixpeek.com/v1/namespaces/standalone"
payload = {
"namespace_id": "ns_my_vectors",
"vector_configs": [
{
"name": "<string>",
"dimension": 2,
"metric": "cosine"
}
],
"storage": { "connection_id": "<string>" },
"config": {},
"auto_create_indexes": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
namespace_id: 'ns_my_vectors',
vector_configs: [{name: '<string>', dimension: 2, metric: 'cosine'}],
storage: {connection_id: '<string>'},
config: {},
auto_create_indexes: true
})
};
fetch('https://api.mixpeek.com/v1/namespaces/standalone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mixpeek.com/v1/namespaces/standalone",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'namespace_id' => 'ns_my_vectors',
'vector_configs' => [
[
'name' => '<string>',
'dimension' => 2,
'metric' => 'cosine'
]
],
'storage' => [
'connection_id' => '<string>'
],
'config' => [
],
'auto_create_indexes' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mixpeek.com/v1/namespaces/standalone"
payload := strings.NewReader("{\n \"namespace_id\": \"ns_my_vectors\",\n \"vector_configs\": [\n {\n \"name\": \"<string>\",\n \"dimension\": 2,\n \"metric\": \"cosine\"\n }\n ],\n \"storage\": {\n \"connection_id\": \"<string>\"\n },\n \"config\": {},\n \"auto_create_indexes\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mixpeek.com/v1/namespaces/standalone")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"namespace_id\": \"ns_my_vectors\",\n \"vector_configs\": [\n {\n \"name\": \"<string>\",\n \"dimension\": 2,\n \"metric\": \"cosine\"\n }\n ],\n \"storage\": {\n \"connection_id\": \"<string>\"\n },\n \"config\": {},\n \"auto_create_indexes\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mixpeek.com/v1/namespaces/standalone")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"namespace_id\": \"ns_my_vectors\",\n \"vector_configs\": [\n {\n \"name\": \"<string>\",\n \"dimension\": 2,\n \"metric\": \"cosine\"\n }\n ],\n \"storage\": {\n \"connection_id\": \"<string>\"\n },\n \"config\": {},\n \"auto_create_indexes\": true\n}"
response = http.request(request)
puts response.read_body{
"namespace_id": "<string>",
"mode": "standalone",
"status": "active",
"vector_configs": [
{}
],
"tiering": "auto",
"document_count": 0
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}BYO vectors
Create standalone namespace (BYO vectors)
Create a standalone namespace for BYO (Bring Your Own) vectors. No collection or feature extractor binding is required. Users upsert pre-computed vectors directly via the direct upsert endpoint.
POST
/
v1
/
namespaces
/
standalone
Create standalone namespace (BYO vectors)
curl --request POST \
--url https://api.mixpeek.com/v1/namespaces/standalone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"namespace_id": "ns_my_vectors",
"vector_configs": [
{
"name": "<string>",
"dimension": 2,
"metric": "cosine"
}
],
"storage": {
"connection_id": "<string>"
},
"config": {},
"auto_create_indexes": true
}
'import requests
url = "https://api.mixpeek.com/v1/namespaces/standalone"
payload = {
"namespace_id": "ns_my_vectors",
"vector_configs": [
{
"name": "<string>",
"dimension": 2,
"metric": "cosine"
}
],
"storage": { "connection_id": "<string>" },
"config": {},
"auto_create_indexes": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
namespace_id: 'ns_my_vectors',
vector_configs: [{name: '<string>', dimension: 2, metric: 'cosine'}],
storage: {connection_id: '<string>'},
config: {},
auto_create_indexes: true
})
};
fetch('https://api.mixpeek.com/v1/namespaces/standalone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mixpeek.com/v1/namespaces/standalone",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'namespace_id' => 'ns_my_vectors',
'vector_configs' => [
[
'name' => '<string>',
'dimension' => 2,
'metric' => 'cosine'
]
],
'storage' => [
'connection_id' => '<string>'
],
'config' => [
],
'auto_create_indexes' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mixpeek.com/v1/namespaces/standalone"
payload := strings.NewReader("{\n \"namespace_id\": \"ns_my_vectors\",\n \"vector_configs\": [\n {\n \"name\": \"<string>\",\n \"dimension\": 2,\n \"metric\": \"cosine\"\n }\n ],\n \"storage\": {\n \"connection_id\": \"<string>\"\n },\n \"config\": {},\n \"auto_create_indexes\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mixpeek.com/v1/namespaces/standalone")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"namespace_id\": \"ns_my_vectors\",\n \"vector_configs\": [\n {\n \"name\": \"<string>\",\n \"dimension\": 2,\n \"metric\": \"cosine\"\n }\n ],\n \"storage\": {\n \"connection_id\": \"<string>\"\n },\n \"config\": {},\n \"auto_create_indexes\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mixpeek.com/v1/namespaces/standalone")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"namespace_id\": \"ns_my_vectors\",\n \"vector_configs\": [\n {\n \"name\": \"<string>\",\n \"dimension\": 2,\n \"metric\": \"cosine\"\n }\n ],\n \"storage\": {\n \"connection_id\": \"<string>\"\n },\n \"config\": {},\n \"auto_create_indexes\": true\n}"
response = http.request(request)
puts response.read_body{
"namespace_id": "<string>",
"mode": "standalone",
"status": "active",
"vector_configs": [
{}
],
"tiering": "auto",
"document_count": 0
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}Authorizations
Mixpeek API key, sent as Authorization: Bearer mxp_sk_.... Create one in Studio under Settings → API Keys, or with an admin key via POST /v1/organizations/users/{user_email}/api-keys. A missing, malformed, unknown, revoked, inactive or expired key returns 401; a key without the permission, scope or plan an operation needs returns 403.
Body
application/json
Keys this body does not declare are refused with 422 extra_forbidden naming the accepted keys (since 2026-11-02).
Request body for POST /v1/namespaces/standalone.
Was this page helpful?

